---
title: HTMLUnknownElement
slug: Web/API/HTMLUnknownElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>HTMLUnknownElement</code></strong> interface represents an invalid HTML element and derives from the {{DOMxRef("HTMLElement")}} interface, but without implementing any additional properties or methods.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>No specific property; inherits properties from its parent, {{DOMxRef("HTMLElement")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits properties from its parent, {{DOMxRef("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName("HTML WHATWG", "elements.html#htmlunknownelement", "HTMLUnknownElement")}}</td>
			<td>{{Spec2("HTML WHATWG")}}</td>
			<td>No change from {{SpecName("HTML5 W3C")}}.</td>
		</tr>
		<tr>
			<td>{{SpecName("HTML5 W3C", "dom.html#htmlunknownelement", "HTMLUnknownElement")}}</td>
			<td>{{Spec2("HTML5 W3C")}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLUnknownElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>Obsolete or non-standard HTML elements implementing this interface: {{HTMLElement("bgsound")}}, {{HTMLElement("blink")}}, {{HTMLElement("isindex")}}, {{HTMLElement("multicol")}}, {{HTMLElement("nextid")}}, {{HTMLElement("rb")}}, {{HTMLElement("spacer")}}</li>
	<li>{{DOMxRef("SVGUnknownElement")}}</li>
</ul>
